Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002791 [JEDI VCL] 00 JVCL Components major always 2005-03-23 02:10 2005-07-24 10:34
Reporter marcgeldon View Status public  
Assigned To jfudickar
Priority normal Resolution fixed  
Status resolved   Product Version 3.00 BETA 2
Summary 0002791: TJvDBGridCSVExport - generated file not correct
Description Hello!

The component does NOT generate a correct CSV file. If a string quote char (") is in the exported field value the quote char must be doubled. This can be done via the procedure "AnsiQuotedStr". Please have a look at the changed source code (and the attached file).


Best wishes from Germany,

Marc Geldon
(PRO IT SYSTEMS)

P.S.: I wrote you now two times that I want to join the JEDI team (resolve bugs, add new features to components and so on). But I didn't have a response. Maybe someone can contact me? :-) marc.geldon@proitsystems.de
Additional Information +++ OLD SOURCE CODE (function DoExport) +++
...
              if not FRecordColumns[I].Field.IsNull then
              begin
                lField := FRecordColumns[I].Field.AsString;
                if (Pos(Separator, lField) <> 0) or (FQuoteEveryTime) then
                  lString := lString + '"' + lField + '"'
                else
                  lString := lString + lField;
...

+++ NEW SOURCE CODE (function DoExport +++
...
              if not FRecordColumns[I].Field.IsNull then
              begin
                lField := FRecordColumns[I].Field.AsString;
                if (Pos(Separator, lField) <> 0) or (FQuoteEveryTime) then
                  lString := lString + AnsiQuotedStr(lField, '"')
                else
                  lString := lString + lField;
...
Tags No tags attached.
Attached Files ? file icon JvDBGridExport.pas [^] (35,612 bytes) 2005-03-23 02:10

- Relationships

-  Notes
(0007173)
jfudickar (developer)
2005-05-17 16:33

Changed in cvs.

Please give me a short feedback that i can close the enty.

Did you got your contact informations now? If not ask obones directly, or ask in the newsgroup.

- Issue History
Date Modified Username Field Change
2005-03-23 02:10 marcgeldon New Issue
2005-03-23 02:10 marcgeldon File Added: JvDBGridExport.pas
2005-05-17 16:33 jfudickar Note Added: 0007173
2005-05-17 16:33 jfudickar Assigned To => jfudickar
2005-05-17 16:33 jfudickar Status new => feedback
2005-07-24 10:34 jfudickar Status feedback => resolved
2005-07-24 10:34 jfudickar Resolution open => fixed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker